def do_connect():    
    import network                                            # https://micropython-docs-esp32.readthedocs.io/en/esp32_doc/esp32/quickref.html#networking   
    import ubinascii
    wlan = network.WLAN(network.STA_IF)                       # create station interface
    wlan.active(True)                                         # activate the interface
    if not wlan.isconnected():                                # check is the station is connected to an AP
        print('connecting to network...')
        wlan.connect('your_essid', 'your_password')           # connect to an AP 
        while not wlan.isconnected():
            pass
    print("Interface's MAC: ", ubinascii.hexlify(network.WLAN().config('mac'),':').decode())   # print the interface's IP/netmask/gw/DNS addresses
    print("Interface's IP/netmask/gw/DNS: ", wlan.ifconfig())                                  # print the interface's IP/netmask/gw/DNS addresses
    
do_connect()